/// <reference types="react" />
import { GenericContainer } from '../base';
import { IFormContainerProps } from '../../definition';
export declare class FormContainer extends GenericContainer<IFormContainerProps> {
    /**
     * @stable [03.02.2020]
     * @param {IFormContainerProps} props
     */
    constructor(props: IFormContainerProps);
    /**
     * @stable [18.04.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [23.04.2020]
     * @param {IKeyValue} payload
     */
    private onChange;
    /**
     * @stable [18.04.2020]
     * @param {boolean} valid
     */
    private onValid;
    /**
     * @stable [18.04.2020]
     */
    private onReset;
    /**
     * @stable [15.04.2020]
     * @param {IApiEntity} apiEntity
     */
    private onSubmit;
    private onEmptyDictionary;
    private onLoadDictionary;
    /**
     * @stable [18.04.2020]
     * @returns {IFormProps}
     */
    private readonly formConfiguration;
}
