"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../../util");
var definition_1 = require("../../../definition");
var generic_component_1 = require("../../base/generic.component");
/**
 * @component-impl
 * @stable [05.05.2020]
 *
 * Please use the "Mappers.pageToolbarProps"
 */
var PageToolbar = /** @class */ (function (_super) {
    __extends(PageToolbar, _super);
    function PageToolbar() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [05.05.2020]
     * @returns {JSX.Element}
     */
    PageToolbar.prototype.render = function () {
        var props = this.props;
        if (!this.isToolbarVisible) {
            return null;
        }
        return (React.createElement("div", { ref: this.actualRef, style: props.style, className: util_1.joinClassName(definition_1.ToolbarClassesEnum.PAGE_TOOLBAR, util_1.isFull(props) && definition_1.ToolbarClassesEnum.FULL_TOOLBAR, util_1.calc(props.className)) }, this.bodyElement));
    };
    Object.defineProperty(PageToolbar.prototype, "pagesElement", {
        /**
         * @stable [05.05.2020]
         * @returns {JSX.Element}
         */
        get: function () {
            return (React.createElement("div", { className: definition_1.ToolbarClassesEnum.TOOLBAR_PAGES }, this.pagesInfo));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(PageToolbar.prototype, "bodyElement", {
        /**
         * @stable [05.05.2020]
         * @returns {JSX.Element}
         */
        get: function () {
            var _this = this;
            var props = this.props;
            return util_1.orNull(props.totalCount > 0 && !util_1.inProgress(props), function () { return (React.createElement("div", { className: definition_1.ToolbarClassesEnum.TOOLBAR_CONTENT }, _this.actionsElement)); });
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(PageToolbar.prototype, "actionsElement", {
        /**
         * @stable [05.05.2020]
         * @returns {JSX.Element}
         */
        get: function () {
            var props = this.props;
            var isPreviousActionDisabled = this.isPreviousActionDisabled;
            var isNextActionDisabled = this.isNextActionDisabled;
            return (React.createElement(React.Fragment, null,
                util_1.isFirstAllowedWrapper(props) && (this.uiFactory.makeIcon({
                    type: definition_1.IconsEnum.ANGLE_DOUBLE_LEFT,
                    className: definition_1.ToolbarClassesEnum.TOOLBAR_ICON,
                    disabled: isPreviousActionDisabled,
                    onClick: props.onFirst,
                })),
                this.uiFactory.makeIcon({
                    type: props.previousIcon || definition_1.IconsEnum.ANGLE_LEFT,
                    className: definition_1.ToolbarClassesEnum.TOOLBAR_ICON,
                    disabled: isPreviousActionDisabled,
                    onClick: props.onPrevious,
                }),
                this.pagesElement,
                this.uiFactory.makeIcon({
                    type: props.nextIcon || definition_1.IconsEnum.ANGLE_RIGHT,
                    className: definition_1.ToolbarClassesEnum.TOOLBAR_ICON,
                    disabled: isNextActionDisabled,
                    onClick: props.onNext,
                }),
                util_1.isLastAllowedWrapper(props) && (this.uiFactory.makeIcon({
                    type: definition_1.IconsEnum.ANGLE_DOUBLE_RIGHT,
                    className: definition_1.ToolbarClassesEnum.TOOLBAR_ICON,
                    disabled: isNextActionDisabled,
                    onClick: props.onLast,
                }))));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(PageToolbar.prototype, "pagesInfo", {
        /**
         * @stable [05.05.2020]
         * @returns {string}
         */
        get: function () {
            var _a = this.props, page = _a.page, useShortFormat = _a.useShortFormat;
            var messages = this.settings.messages;
            return this.t(useShortFormat
                ? messages.SHORT_PAGES_INFO
                : messages.PAGES_INFO, {
                page: page,
                count: useShortFormat ? util_1.pagesCount(this.props) : this.props.totalCount,
                from: this.fromNumber,
                to: this.toNumber,
            });
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(PageToolbar.prototype, "isToolbarVisible", {
        /**
         * @stable [05.05.2020]
         * @returns {boolean}
         */
        get: function () {
            return util_1.isPageable(this.props);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(PageToolbar.prototype, "isPreviousActionDisabled", {
        /**
         * @stable [05.05.2020]
         * @returns {boolean}
         */
        get: function () {
            return util_1.isPageCursorInStartPosition(this.props);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(PageToolbar.prototype, "isNextActionDisabled", {
        /**
         * @stable [05.05.2020]
         * @returns {boolean}
         */
        get: function () {
            return util_1.isPageCursorInEndPosition(this.props);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(PageToolbar.prototype, "toNumber", {
        /**
         * @stable [05.05.2020]
         * @returns {number}
         */
        get: function () {
            return util_1.pageCursorTo(this.props);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(PageToolbar.prototype, "fromNumber", {
        /**
         * @stable [05.05.2020]
         * @returns {number}
         */
        get: function () {
            return util_1.pageCursorFrom(this.props);
        },
        enumerable: true,
        configurable: true
    });
    PageToolbar.defaultProps = {
        full: false,
    };
    return PageToolbar;
}(generic_component_1.GenericComponent));
exports.PageToolbar = PageToolbar;
//# sourceMappingURL=page-toolbar.component.js.map