/// <reference types="react" />
import { IUniversalFieldProps } from '../../../configurations-definitions.interface';
import { IUniversalSearchToolbarProps } from './search-toolbar.interface';
import { GenericComponent } from '../../base/generic.component';
import { IFieldActionEntity } from '../../../definition';
export declare class SearchToolbar<TProps extends IUniversalSearchToolbarProps, TState = {}> extends GenericComponent<TProps> {
    /**
     * @stable [18.05.2018]
     */
    static readonly defaultProps: IUniversalSearchToolbarProps;
    /**
     * @stable [22.04.2020]
     */
    protected readonly baseActionsProps: Record<number, IFieldActionEntity>;
    /**
     * @stable [22.04.2020]
     * @param {TProps} props
     */
    constructor(props: TProps);
    render(): JSX.Element;
    /**
     * @stable [18.05.2018]
     * @returns {boolean}
     */
    protected readonly isActive: boolean;
    /**
     * @stable [18.05.2018]
     * @returns {string}
     */
    protected readonly query: string;
    /**
     * @stable [18.05.2018]
     */
    protected onActivate(): void;
    /**
     * @stable [18.05.2018]
     */
    protected onDeactivate(): void;
    /**
     * @stable [18.05.2018]
     * @param {string} query
     */
    protected onChange(query?: string): void;
    /**
     * @stable [18.05.2018]
     * @returns {IUniversalFieldProps}
     */
    protected readonly fieldProps: IUniversalFieldProps;
    protected readonly actions: IFieldActionEntity[];
    /**
     * @stable [18.05.2018]
     * @returns {JSX.Element[]}
     */
    protected readonly actionsElements: JSX.Element[];
    /**
     * @stable [18.05.2018]
     * @returns {JSX.Element}
     */
    protected readonly fieldSection: JSX.Element;
    /**
     * @stable [18.05.2018]
     * @returns {JSX.Element}
     */
    protected readonly actionsElementsSection: JSX.Element[];
    /**
     * @stable [18.05.2018]
     * @returns {JSX.Element}
     */
    protected readonly actionsElementsWrapper: JSX.Element[];
    protected getActionElement(config: any): JSX.Element;
    /**
     * @stable [18.05.2018]
     * @returns {JSX.Element}
     */
    protected readonly fieldWrapper: JSX.Element;
    /**
     * @stable [18.05.2018]
     */
    private onOpen;
    /**
     * @stable [18.05.2018]
     */
    private onApply;
}
