import { IGenericStackEntity } from '../../definition';
/**
 * @stable [21.09.2019]
 * @param {IGenericStackEntity} stackEntity
 * @param {number} startingIndex
 * @returns {string[]}
 */
export declare const collectStackMainSectionsByIndex: (stackEntity: IGenericStackEntity, startingIndex: number) => string[];
/**
 * @stable [21.09.2019]
 * @param {string} section
 * @param {IGenericStackEntity} stackEntity
 * @returns {string[]}
 */
export declare const getAdditionalStackSectionsToDestroy: (section: string, stackEntity: IGenericStackEntity) => string[];
/**
 * @stable [20.09.2019]
 * @param {string} currentSection
 * @param {IGenericStackEntity} stackEntity
 * @returns {string[][]}
 */
export declare const toGraphComponents: (currentSection: string, stackEntity: IGenericStackEntity) => string[][];
/**
 * @stable [20.09.2019]
 * @param {string} currentSection
 * @param {IGenericStackEntity} stackEntity
 * @param {(linkedSections: string[]) => boolean} predicate
 * @returns {Set<string>}
 */
export declare const findStackSectionsByPredicate: (currentSection: string, stackEntity: IGenericStackEntity, predicate: (linkedSections: string[]) => boolean) => Set<string>;
/**
 * @stable [20.09.2019]
 * @param {string} currentSection
 * @param {IGenericStackEntity} stackEntity
 * @returns {Set<string>}
 */
export declare const toAllIndependentStackSections: (currentSection: string, stackEntity: IGenericStackEntity) => Set<string>;
/**
 * @stable [20.09.2019]
 * @param {string} currentSection
 * @param {IGenericStackEntity} stackEntity
 * @returns {string[]}
 */
export declare const getAllIndependentStackSections: (currentSection: string, stackEntity: IGenericStackEntity) => string[];
