import { IBaseExtendedFormEditableEntity, IFormProps, IGenericFieldEntity, ITabProps } from '../definition';
import { IEntity } from '../definitions.interface';
/**
 * @stable [06.05.2020]
 * @param {IBaseExtendedFormEditableEntity<TEntity>} wrapper
 * @param {IGenericFieldEntity} fieldProps
 * @returns {AnyT}
 */
export declare const getFormFieldValue: <TEntity = IEntity>(wrapper: IBaseExtendedFormEditableEntity<TEntity>, fieldProps: IGenericFieldEntity) => any;
/**
 * @stable [06.05.2020]
 * @param {IBaseExtendedFormEditableEntity<TEntity>} wrapper
 * @param {IGenericFieldEntity} fieldProps
 * @param {IGenericFieldEntity} defaultFieldProps
 * @returns {AnyT}
 */
export declare const getFormFieldDisplayValue: <TEntity = IEntity>(wrapper: IBaseExtendedFormEditableEntity<TEntity>, fieldProps: IGenericFieldEntity, defaultFieldProps?: IGenericFieldEntity) => any;
/**
 * @stable [03.02.2020]
 * @param {IFormProps<TEntity extends IEntity>} entity
 * @param {IGenericFieldEntity} fieldProps
 * @returns {AnyT}
 */
export declare const getFormFieldOriginalValue: <TEntity extends IEntity = IEntity>(entity: IFormProps<TEntity>, fieldProps: IGenericFieldEntity) => any;
/**
 * @stable [23.03.2020]
 * @param {IFormProps<TEntity extends IEntity>} entity
 * @returns {boolean}
 */
export declare const isFormDisabled: <TEntity extends IEntity = IEntity>(entity: IFormProps<TEntity>) => boolean;
/**
 * @stable [06.05.2020]
 * @param {IBaseExtendedFormEditableEntity<TEntity>} entity
 * @returns {boolean}
 */
export declare const isFormChanged: <TEntity = IEntity>(entity: IBaseExtendedFormEditableEntity<TEntity>) => boolean;
/**
 * @stable [23.04.2020]
 * @param {IFormProps<TEntity>} entity
 * @returns {boolean}
 */
export declare const isFormDirty: <TEntity = IEntity>(entity: IFormProps<TEntity>) => boolean;
/**
 * @stable [23.04.2020]
 * @param {IFormProps<TEntity>} entity
 * @returns {boolean}
 */
export declare const isFormTouched: <TEntity = IEntity>(entity: IFormProps<TEntity>) => boolean;
/**
 * @stable [16.01.2020]
 * @param {IFormProps<TEntity extends IEntity>} entity
 * @returns {boolean}
 */
export declare const isFormValid: <TEntity = IEntity>(entity: IFormProps<TEntity>) => boolean;
/**
 * @stable [03.02.2020]
 * @param {IFormProps<TEntity extends IEntity>} entity
 * @returns {boolean}
 */
export declare const isFormInProgress: <TEntity extends IEntity = IEntity>(entity: IFormProps<TEntity>) => boolean;
/**
 * @stable [03.02.2020]
 * @param {IFormProps<TEntity extends IEntity>} formEntity
 * @param {IGenericFieldEntity} fieldProps
 * @returns {boolean}
 */
export declare const isFormFieldReadOnly: <TEntity extends IEntity = IEntity>(formEntity: IFormProps<TEntity>, fieldProps: IGenericFieldEntity) => boolean;
/**
 * @stable [23.03.2020]
 * @param {IFormProps} formProps
 * @param {IGenericFieldEntity} fieldProps
 * @returns {boolean}
 */
export declare const isFormFieldDisabled: (formProps: IFormProps<IEntity>, fieldProps: IGenericFieldEntity) => boolean;
/**
 * @stable [23.03.2020]
 * @param {IFormProps} formProps
 * @param {IGenericFieldEntity} fieldProps
 * @returns {boolean}
 */
export declare const isFormFieldChangeable: (formProps: IFormProps<IEntity>, fieldProps: IGenericFieldEntity) => boolean;
/**
 * @stable [03.02.2020]
 * @param {IFormProps<TEntity extends IEntity>} formProps
 * @returns {boolean}
 */
export declare const isFormSubmittable: <TEntity extends IEntity = IEntity>(formProps: IFormProps<TEntity>) => boolean;
/**
 * @stable [23.03.2020]
 * @param {IFormProps<TEntity extends IEntity>} formProps
 * @returns {boolean}
 */
export declare const isFormResettable: <TEntity extends IEntity = IEntity>(formProps: IFormProps<TEntity>) => boolean;
/**
 * @stable [23.03.2020]
 * @param {IFormProps<TEntity extends IEntity>} formProps
 * @param {ITabProps} tab
 * @returns {boolean}
 */
export declare const isFormTabActive: <TEntity extends IEntity = IEntity>(formProps: IFormProps<TEntity>, tab: ITabProps) => boolean;
