"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var mapper_generic_1 = require("./mapper-generic");
var select_1 = require("./select");
/**
 * @component-props-mapper
 * @stable [06.05.2020]
 *
 * @param {IPageToolbarProps} props
 * @returns {IPageToolbarProps}
 */
var mapPageToolbarProps = function (props) {
    return mapper_generic_1.GenericMappers.paginatedLifeCycleEntity(props);
};
/**
 * @container-component-props-mapper
 * @stable [06.05.2020]
 *
 * @param {IPageToolbarContainerProps} props
 * @returns {IPageToolbarProps}
 */
var mapPageToolbarContainerPropsAsPageToolbarProps = function (props) {
    return mapPageToolbarProps(select_1.Selectors.list(props));
};
/**
 * @container-props-mapper
 * @stable [06.05.2020]
 *
 * @param {IPageToolbarContainerProps} props
 * @returns {IPageToolbarContainerProps}
 */
var mapPageToolbarContainerProps = function (props) {
    return (__assign({}, mapper_generic_1.GenericMappers.sectionNameWrapper(props), mapper_generic_1.GenericMappers.listWrapperEntity(props)));
};
/**
 * @stable [06.05.2020]
 */
var ComponentMappers = /** @class */ (function () {
    function ComponentMappers() {
    }
    ComponentMappers.pageToolbarContainerProps = mapPageToolbarContainerProps;
    ComponentMappers.pageToolbarContainerPropsAsPageToolbarProps = mapPageToolbarContainerPropsAsPageToolbarProps;
    ComponentMappers.pageToolbarProps = mapPageToolbarProps;
    return ComponentMappers;
}());
exports.ComponentMappers = ComponentMappers;
//# sourceMappingURL=mapper-component.js.map