import { IEffectsAction } from 'redux-effects-promise';
import { IApiEntity, IBaseExtendedEntity, IBaseExtendedFormEditableEntity, IChannelWrapperEntity, IDictionariesEntity, IDictionariesWrapperEntity, IDictionaryEntity, IExtendedEntity, IExtendedFormEditableEntity, IExtendedLabeledValueEntity, IFilterFormDialogContainerProps, IFormContainerProps, IFormEditableEntity, IFormTabPanelContainerProps, IGenericActiveQueryEntity, IGenericBaseSelectEntity, IGenericChannelEntity, IGenericContainer, IGenericEditableEntity, IGenericLayoutEntity, IGenericNotificationEntity, IGenericPagedEntity, IGenericPaginatedEntity, IGenericSelectableHoveredEntity, IGenericStackEntity, IGenericStoreEntity, IGenericTabPanelEntity, ILayoutWrapperEntity, IListContainerProps, IListEntity, IListWrapperEntity, INamedEntity, INotificationWrapperEntity, IOperationEntity, IOptionEntity, IQueryFilterEntity, ISelectOptionEntity, ISortDirectionEntity, ISortDirectionsEntity, ISortDirectionsWrapperEntity, IStackItemEntity, IStackWrapperEntity, ITabPanelWrapperEntity, IToolbarToolsContainerProps, ITransportEntity, ITransportWrapperEntity, IUniversalApplicationEntity, IUnsavedFormChangesDialogContainerProps, IUserEntity, IUserWrapperEntity } from '../definition';
import { IActionsDisabledWrapper, IActiveValueWrapper, IChannelWrapper, IDictionariesWrapper, IDisabledWrapper, IEntity, IEntityIdTWrapper, IErrorWrapper, IFilterWrapper, IFormWrapper, ILayoutWrapper, INotificationWrapper, IOptionsWrapper, IProgressWrapper, IQueryWrapper, IStackWrapper, ITransportWrapper, IUserWrapper, IWaitingForOptionsWrapper } from '../definitions.interface';
/**
 * @stable [17.11.2019]
 * @param {ITransportWrapperEntity} entity
 * @returns {string}
 */
export declare const selectTransportWrapperToken: (entity: ITransportWrapperEntity<ITransportEntity>) => string;
/**
 * @stable [25.11.2019]
 * @param {ITransportWrapperEntity} entity
 * @returns {string[]}
 */
export declare const selectTransportWrapperQueue: (entity: ITransportWrapperEntity<ITransportEntity>) => string[];
/**
 * @stable [13.02.2020]
 * @param {TErrorWrapper} entity
 * @returns {TResult}
 */
export declare const selectError: <TResult = any, TErrorWrapper extends IErrorWrapper<TResult> = IErrorWrapper<TResult>>(entity: TErrorWrapper) => TResult;
/**
 * @stable [29.02.2020]
 * @param {IExtendedFormEditableEntity<TEntity extends IEntity>} wrapper
 * @returns {IGenericEditableEntity<TEntity extends IEntity>}
 */
export declare const selectEditableEntity: <TEntity extends IEntity = IEntity>(wrapper: IExtendedFormEditableEntity<TEntity>) => IGenericEditableEntity<TEntity>;
/**
 * TODO
 * @deprecated
 */
export declare const selectListEntity: <TEntity extends IEntity = IEntity>(entity: IListWrapperEntity<TEntity, any>) => IListEntity<TEntity, any>;
/**
 * @stable [13.02.2020]
 * @param {IEffectsAction} action
 * @returns {TResult}
 */
export declare const selectErrorFromAction: <TResult = any>(action: IEffectsAction) => TResult;
/**
 * @stable [10.02.2020]
 * @param {ITabPanelWrapperEntity} entity
 * @returns {IGenericTabPanelEntity}
 */
export declare const selectTabPanelEntity: (entity: ITabPanelWrapperEntity) => IGenericTabPanelEntity;
/**
 * @stable [20.10.2019]
 * @param {EntityIdT} id
 * @returns {IEntityIdTWrapper}
 */
export declare const mapEntityId: (id: string | number) => IEntityIdTWrapper;
/**
 * @stable [29.01.2020]
 * @param {boolean} waitingForOptions
 * @returns {IWaitingForOptionsWrapper}
 */
export declare const mapWaitingForOptions: (waitingForOptions: boolean) => IWaitingForOptionsWrapper;
/**
 * @stable [28.01.2020]
 * @param {TValue} options
 * @returns {IOptionsWrapper<TValue>}
 */
export declare const mapOptions: <TValue>(options: TValue) => IOptionsWrapper<TValue>;
/**
 * @stable [13.11.2019]
 * @param {ISortDirectionsEntity} directions
 * @returns {ISortDirectionsWrapperEntity}
 */
export declare const mapSortDirectionsWrapperEntity: (directions: ISortDirectionsEntity) => ISortDirectionsWrapperEntity;
/**
 * @stable [20.10.2019]
 * @param {IEntityIdTWrapper} entity
 * @returns {IEntityIdTWrapper}
 */
export declare const mapIdentifiedEntity: (entity: IEntityIdTWrapper) => IEntityIdTWrapper;
/**
 * @stable [10.02.2020]
 * @param {IGenericTabPanelEntity} tabPanel
 * @returns {ITabPanelWrapperEntity}
 */
export declare const mapTabPanelEntity: (tabPanel: IGenericTabPanelEntity) => ITabPanelWrapperEntity;
/**
 * @stable [21.11.2019]
 * @param {ITabPanelWrapperEntity} tabPanelWrapperEntity
 * @returns {ITabPanelWrapperEntity}
 */
export declare const mapTabPanelWrapperEntity: (tabPanelWrapperEntity: ITabPanelWrapperEntity) => ITabPanelWrapperEntity;
/**
 * @stable [30.03.2020]
 * @param {TUser} user
 * @returns {IUserWrapper<TUser>}
 */
export declare const mapUser: <TUser = IUserEntity>(user: TUser) => IUserWrapper<TUser>;
/**
 * @stable [14.04.2020]
 * @param {TValue} stack
 * @returns {IStackWrapper<TValue>}
 */
export declare const mapStack: <TValue>(stack: TValue) => IStackWrapper<TValue>;
/**
 * @stable [14.04.2020]
 * @param {TValue} notification
 * @returns {INotificationWrapper<TValue>}
 */
export declare const mapNotification: <TValue>(notification: TValue) => INotificationWrapper<TValue>;
/**
 * @stable [14.04.2020]
 * @param {TValue} layout
 * @returns {ILayoutWrapper<TValue>}
 */
export declare const mapLayout: <TValue>(layout: TValue) => ILayoutWrapper<TValue>;
/**
 * @stable [14.04.2020]
 * @param {TValue} channel
 * @returns {IChannelWrapper<TValue>}
 */
export declare const mapChannel: <TValue>(channel: TValue) => IChannelWrapper<TValue>;
/**
 * @stable [14.04.2020]
 * @param {TValue} transport
 * @returns {ITransportWrapper<TValue>}
 */
export declare const mapTransport: <TValue>(transport: TValue) => ITransportWrapper<TValue>;
/**
 * @stable [14.04.2020]
 * @param {TValue} dictionaries
 * @returns {IDictionariesWrapper<TValue>}
 */
export declare const mapDictionaries: <TValue>(dictionaries: TValue) => IDictionariesWrapper<TValue>;
/**
 * @stable [12.10.2019]
 * @param {boolean} disabled
 * @returns {IDisabledWrapper}
 */
export declare const mapDisabled: (disabled: boolean) => IDisabledWrapper<boolean>;
/**
 * @stable [10.09.2019]
 * @param {string} query
 * @returns {IQueryWrapper}
 */
export declare const mapQuery: (query: string) => IQueryWrapper<string>;
/**
 * @stable [29.02.2020]
 * @param {TEntity} filter
 * @returns {IFilterWrapper<TEntity>}
 */
export declare const mapFilter: <TEntity = string>(filter: TEntity) => IFilterWrapper<TEntity>;
/**
 * @stable [26.03.2020]
 * @param {TForm} form
 * @returns {IFormWrapper<TForm>}
 */
export declare const mapForm: <TForm>(form: TForm) => IFormWrapper<TForm>;
/**
 * @stable [12.04.2020]
 * @param {TActiveValue} activeValue
 * @returns {IActiveValueWrapper<TActiveValue>}
 */
export declare const mapActiveValue: <TActiveValue>(activeValue: TActiveValue) => IActiveValueWrapper<TActiveValue>;
/**
 * @stable [29.02.2020]
 * @param {IGenericActiveQueryEntity} filter
 * @returns {IQueryFilterEntity}
 */
export declare const mapQueryFilterEntity: (filter: IGenericActiveQueryEntity) => IQueryFilterEntity;
/**
 * TODO
 * @deprecated Use mapForm
 */
export declare const mapEditableEntity: <TEntity extends IEntity = IEntity>(form: IGenericEditableEntity<TEntity>) => IExtendedFormEditableEntity<TEntity>;
/**
 * @stable [13.11.2019]
 * @param {ISortDirectionEntity} entity
 * @returns {ISortDirectionEntity}
 */
export declare const mapSortDirectionEntity: (entity: ISortDirectionEntity) => ISortDirectionEntity;
/**
 * @stable [12.10.2019]
 * @param {IProgressWrapper} entity
 * @returns {IDisabledWrapper}
 */
export declare const mapDisabledProgressWrapper: (entity: IProgressWrapper<boolean>) => IDisabledWrapper<boolean>;
/**
 * @stable [12.10.2019]
 * @param {IListWrapperEntity} listWrapperEntity
 * @returns {IDisabledWrapper}
 */
export declare const mapDisabledProgressListWrapperEntity: (listWrapperEntity: IListWrapperEntity<IEntity, any>) => IDisabledWrapper<boolean>;
/**
 * @stable [30.03.2020]
 * @param {IUserWrapperEntity<TEntity>} wrapper
 * @returns {IUserWrapperEntity<TEntity>}
 */
export declare const mapUserWrapperEntity: <TEntity = IUserEntity>(wrapper: IUserWrapperEntity<TEntity>) => IUserWrapperEntity<TEntity>;
/**
 * @stable [30.03.2020]
 * @param {IStackWrapperEntity<TEntity>} wrapper
 * @returns {IStackWrapperEntity<TEntity>}
 */
export declare const mapStackWrapperEntity: <TEntity = IGenericStackEntity>(wrapper: IStackWrapperEntity<TEntity>) => IStackWrapperEntity<TEntity>;
/**
 * @stable [14.04.2020]
 * @param {INotificationWrapperEntity<TEntity>} wrapper
 * @returns {INotificationWrapperEntity<TEntity>}
 */
export declare const mapNotificationWrapperEntity: <TEntity = IGenericNotificationEntity>(wrapper: INotificationWrapperEntity<TEntity>) => INotificationWrapperEntity<TEntity>;
/**
 * @stable [14.04.2020]
 * @param {ILayoutWrapperEntity<TEntity>} wrapper
 * @returns {ILayoutWrapperEntity<TEntity>}
 */
export declare const mapLayoutWrapperEntity: <TEntity = IGenericLayoutEntity>(wrapper: ILayoutWrapperEntity<TEntity>) => ILayoutWrapperEntity<TEntity>;
/**
 * @stable [14.04.2020]
 * @param {IChannelWrapperEntity<TEntity>} wrapper
 * @returns {IChannelWrapperEntity<TEntity>}
 */
export declare const mapChannelWrapperEntity: <TEntity = IGenericChannelEntity>(wrapper: IChannelWrapperEntity<TEntity>) => IChannelWrapperEntity<TEntity>;
/**
 * @stable [28.03.2020]
 * @param {ITransportWrapperEntity<TTransport>} wrapper
 * @returns {ITransportWrapperEntity<TTransport>}
 */
export declare const mapTransportWrapperEntity: <TTransport = ITransportEntity>(wrapper: ITransportWrapperEntity<TTransport>) => ITransportWrapperEntity<TTransport>;
/**
 * @stable [28.03.2020]
 * @param {IDictionariesWrapperEntity<TDictionaries>} wrapper
 * @returns {IDictionariesWrapperEntity<TDictionaries>}
 */
export declare const mapDictionariesWrapperEntity: <TDictionaries = IDictionariesEntity>(wrapper: IDictionariesWrapperEntity<TDictionaries>) => IDictionariesWrapperEntity<TDictionaries>;
/**
 * @stable [12.04.2020]
 * @param {IActiveValueWrapper<TValue>} wrapper
 * @returns {IActiveValueWrapper<TValue>}
 */
export declare const mapActiveValueWrapper: <TValue>(wrapper: IActiveValueWrapper<TValue>) => IActiveValueWrapper<TValue>;
/**
 * @stable [18.04.2020]
 * @param {IBaseExtendedEntity<TEntity>} extendedEntity
 * @returns {IBaseExtendedEntity<TEntity>}
 */
export declare const mapBaseExtendedEntity: <TEntity = IEntity>(extendedEntity: IBaseExtendedEntity<TEntity>) => IBaseExtendedEntity<TEntity>;
/**
 * @stable [17.04.2020]
 * @param {IExtendedEntity<TEntity>} extendedEntity
 * @returns {IExtendedEntity<TEntity>}
 */
export declare const mapExtendedEntity: <TEntity = IEntity>(extendedEntity: IExtendedEntity<TEntity>) => IExtendedEntity<TEntity>;
/**
 * @stable [05.04.2020]
 * @param {IFormEditableEntity<TEntity>} wrapper
 * @returns {IFormEditableEntity<TEntity>}
 */
export declare const mapFormEditableEntity: <TEntity = IEntity>(wrapper: IFormEditableEntity<TEntity>) => IFormEditableEntity<TEntity>;
/**
 * @stable [17.04.2020]
 * @param {TEntity} entity
 * @param {IGenericEditableEntity<TEntity extends IEntity>} editableEntity
 * @returns {IExtendedEntity<TEntity extends IEntity>}
 */
export declare const mapEnhancedExtendedEntity: <TEntity extends IEntity = IEntity>(entity: TEntity, editableEntity: IGenericEditableEntity<TEntity>) => IExtendedEntity<TEntity>;
/**
 * @stable [25.12.2019]
 * @param {IGenericEditableEntity<TEntity extends IEntity>} editableEntity
 * @returns {IExtendedEntity<TEntity extends IEntity>}
 */
export declare const mapNewExtendedEntity: <TEntity extends IEntity = IEntity>(editableEntity: IGenericEditableEntity<TEntity>) => IExtendedEntity<TEntity>;
/**
 * @stable [26.04.2020]
 * @param {TEntity} entity
 * @param {IGenericEditableEntity<TEntity>} editableEntity
 * @returns {IExtendedFormEditableEntity<TEntity>}
 */
export declare const mapExtendedFormEditableEntity: <TEntity = IEntity>(entity: TEntity, editableEntity: IGenericEditableEntity<TEntity>) => IExtendedFormEditableEntity<TEntity>;
/**
 * @stable [26.04.2020]
 * @param {IGenericEditableEntity<TEntity>} editableEntity
 * @returns {IExtendedFormEditableEntity<TEntity>}
 */
export declare const mapNewExtendedFormEditableEntity: <TEntity = IEntity>(editableEntity: IGenericEditableEntity<TEntity>) => IExtendedFormEditableEntity<TEntity>;
/**
 * @stable [23.12.2019]
 * @param {IExtendedEntity<TEntity>} extendedEntity
 * @returns {IApiEntity<TEntity>}
 */
export declare const mapApiEntity: <TEntity = IEntity>(extendedEntity: IExtendedEntity<TEntity>) => IApiEntity<TEntity>;
/**
 * @stable [06.09.2019]
 * @param {IListWrapperEntity} listWrapper
 * @param {IGenericEditableEntity} editableEntity
 * @returns {IExtendedEntity<TEntity extends IEntity>}
 */
export declare const mapListSelectedExtendedEntity: <TEntity extends IEntity>(listWrapper: IListWrapperEntity<TEntity, any>, editableEntity: IGenericEditableEntity<TEntity>) => IExtendedEntity<TEntity>;
/**
 * @stable [04.09.2019]
 * @param {IQueryFilterEntity} queryFilter
 * @returns {IQueryFilterEntity}
 */
export declare const mapQueryFilterWrapperEntity: (queryFilter: IQueryFilterEntity) => IQueryFilterEntity;
/**
 * @stable [10.09.2019]
 * @param {IQueryFilterEntity} entity
 * @returns {IQueryWrapper}
 */
export declare const mapFilterWrapperQuery: (entity: IQueryFilterEntity) => IQueryWrapper<string>;
/**
 * @stable [17.09.2019]
 * @param {boolean} actionsDisabled
 * @returns {IActionsDisabledWrapper}
 */
export declare const mapActionsDisabled: (actionsDisabled: boolean) => IActionsDisabledWrapper;
/**
 * @stable [22.04.2020]
 * @param {IProgressWrapper} progressWrapper
 * @returns {IActionsDisabledWrapper}
 */
export declare const mapProgressWrapperActionsDisabled: (progressWrapper: IProgressWrapper<boolean>) => IActionsDisabledWrapper;
/**
 * @stable [04.04.2020]
 * @param {IListWrapperEntity} listWrapper
 * @returns {IActionsDisabledWrapper}
 */
export declare const mapListWrapperActionsDisabled: (listWrapper: IListWrapperEntity<IEntity, any>) => IActionsDisabledWrapper;
/**
 * @stable [11.10.2019]
 * @param {TEntity[] | TEntity} data
 * @returns {Array<ISelectOptionEntity<TEntity extends IOptionEntity>>}
 */
export declare const mapSelectOptions: <TEntity extends IOptionEntity>(data: TEntity | TEntity[]) => ISelectOptionEntity<TEntity>[];
/**
 * @stable [28.01.2020]
 * @param {IDictionaryEntity<TEntity>} dictionaryEntity
 * @param {(data: (TEntity[] | TEntity)) => AnyT} accessor
 * @returns {Array<ISelectOptionEntity<TEntity>>}
 */
export declare const selectDictionaryEntityOptions: <TEntity>(dictionaryEntity: IDictionaryEntity<TEntity>, accessor?: (data: TEntity | TEntity[]) => any) => ISelectOptionEntity<TEntity>[];
/**
 * @stable [28.01.2020]
 * @param {IDictionaryEntity<TDictionaryEntity>} dictionaryEntity
 * @returns {boolean}
 */
export declare const selectDictionaryEntityLoading: <TDictionaryEntity>(dictionaryEntity: IDictionaryEntity<TDictionaryEntity>) => boolean;
/**
 * @stable [28.01.2020]
 * @param {IDictionaryEntity<TEntity>} dictionaryEntity
 * @param {(data: TEntity[]) => TResult} accessor
 * @returns {IGenericBaseSelectEntity}
 */
export declare const mapDictionaryEntityField: <TEntity, TResult = TEntity[]>(dictionaryEntity: IDictionaryEntity<TEntity>, accessor?: (data: TEntity[]) => TResult) => IGenericBaseSelectEntity;
/**
 * @stable [22.04.2020]
 * @param {INamedEntity} entity
 * @returns {IExtendedLabeledValueEntity}
 */
export declare const mapExtendedLabeledValueEntity: (entity: INamedEntity) => IExtendedLabeledValueEntity<IEntity, string | number>;
/**
 * @stable [25.11.2019]
 * @param {string[]} queue
 * @param {string | IOperationEntity} operations
 * @returns {boolean}
 */
export declare const hasQueueOperations: (queue: string[], ...operations: (string | IOperationEntity)[]) => boolean;
/**
 * @stable [25.11.2019]
 * @param {ITransportWrapperEntity} entity
 * @param {string | IOperationEntity} operations
 * @returns {boolean}
 */
export declare const hasTransportWrapperQueueOperations: (entity: ITransportWrapperEntity<ITransportEntity>, ...operations: (string | IOperationEntity)[]) => boolean;
/**
 * @stable [28.11.2019]
 * @param {IUniversalApplicationEntity} entity
 * @returns {boolean}
 */
export declare const isApplicationInProgress: (entity: IUniversalApplicationEntity) => boolean;
/**
 * @stable [28.11.2019]
 * @param {IUniversalApplicationEntity} entity
 * @returns {boolean}
 */
export declare const doesApplicationErrorExist: (entity: IUniversalApplicationEntity) => boolean;
/**
 * @stable [28.11.2019]
 * @param {IUniversalApplicationEntity} entity
 * @returns {boolean}
 */
export declare const isApplicationMessageVisible: (entity: IUniversalApplicationEntity) => boolean;
/**
 * @stable [18.12.2019]
 * @param {IStackWrapperEntity} entity
 * @returns {IGenericStackEntity}
 */
export declare const selectStackEntity: (entity: IStackWrapperEntity<IGenericStackEntity>) => IGenericStackEntity;
/**
 * @stable [18.12.2019]
 * @param {IGenericStackEntity} entity
 * @returns {IStackItemEntity[]}
 */
export declare const selectStackItemEntities: (entity: IGenericStackEntity) => IStackItemEntity[];
/**
 * @stable [18.12.2019]
 * @param {IStackWrapperEntity} entity
 * @returns {IStackItemEntity[]}
 */
export declare const selectStackWrapperItemEntities: (entity: IStackWrapperEntity<IGenericStackEntity>) => IStackItemEntity[];
/**
 * @stable [14.04.2020]
 * @param {IGenericStoreEntity<TDictionaries>} entity
 * @returns {IGenericStoreEntity<TDictionaries>}
 */
export declare const mapStoreEntity: <TDictionaries = {}>(entity: IGenericStoreEntity<TDictionaries>) => IGenericStoreEntity<TDictionaries>;
/**
 * @component-props-mapper
 * @stable [18.04.2020]
 *
 * @param {IBaseExtendedFormEditableEntity<TEntity>} props The props are defined according to "Liskov substitution principle"
 * @returns {IBaseExtendedFormEditableEntity<TEntity>}
 */
export declare const mapFormProps: <TEntity = IEntity>(props: IBaseExtendedFormEditableEntity<TEntity>) => IBaseExtendedFormEditableEntity<TEntity>;
/**
 * @container-props-mapper
 * @stable [18.04.2020]
 *
 * @param {IFormContainerProps} props
 * @returns {IFormContainerProps}
 */
export declare const mapFormContainerProps: (props: IFormContainerProps<IEntity, {}>) => IFormContainerProps<IEntity, {}>;
/**
 * @container-props-mapper
 * @stable [23.04.2020]
 *
 * @param {IFilterFormDialogContainerProps} props
 * @returns {IFilterFormDialogContainerProps}
 */
export declare const mapFilterFormDialogContainerProps: (props: IFilterFormDialogContainerProps) => IFilterFormDialogContainerProps;
/**
 * @container-props-mapper
 * @stable [11.04.2020]
 *
 * @param {IListContainerProps} props
 * @returns {IListContainerProps}
 */
export declare const mapListContainerProps: (props: IListContainerProps) => IListContainerProps;
/**
 * @container-props-mapper
 * @stable [13.04.2020]
 *
 * @param {IFormTabPanelContainerProps} props
 * @returns {IFormTabPanelContainerProps}
 */
export declare const mapFormTabPanelContainerProps: (props: IFormTabPanelContainerProps<IEntity>) => IFormTabPanelContainerProps<IEntity>;
/**
 * @container-props-mapper
 * @stable [23.04.2020]
 *
 * @param {IToolbarToolsContainerProps & IListContainerProps} props
 * @param {IGenericEditableEntity} editableEntity
 * @returns {IToolbarToolsContainerProps}
 */
export declare const mapToolbarToolsListContainerProps: (props: IToolbarToolsContainerProps<import("core/definition/toolbar-tools-definition.interface").IToolbarToolsProps> & IListContainerProps, editableEntity?: IGenericEditableEntity<import("core/definitions.interface").IKeyValue>) => IToolbarToolsContainerProps<import("core/definition/toolbar-tools-definition.interface").IToolbarToolsProps>;
/**
 * @container-props-mapper
 * @stable [23.04.2020]
 *
 * @param {IFormEditableEntity<TEntity>} props
 * @param {IGenericContainer} proxyContainer
 * @returns {IUnsavedFormChangesDialogContainerProps}
 */
export declare const mapUnsavedFormChangesDialogContainerProps: <TEntity = IEntity>(props: IFormEditableEntity<TEntity>, proxyContainer: IGenericContainer<import("core/definition/generic-container-definition.interface").IGenericContainerProps<{}>, {}>) => IUnsavedFormChangesDialogContainerProps;
/**
 * @stable [05.05.2020]
 */
export declare class Mappers {
    static listWrapperEntity: (wrapper: IListWrapperEntity<IEntity, any>) => IListWrapperEntity<IEntity, any>;
    static listWrapperEntityAsPagedEntity: (entity: IListWrapperEntity<IEntity, any>, pageSize?: number) => IGenericPagedEntity;
    static pagedEntity: (entity: IGenericPagedEntity) => IGenericPagedEntity;
    static pageToolbarContainerProps: (props: import("core/definition/toolbar-definition.interface").IPageToolbarContainerProps) => import("core/definition/toolbar-definition.interface").IPageToolbarContainerProps;
    static pageToolbarContainerPropsAsPageToolbarProps: (props: import("core/definition/toolbar-definition.interface").IPageToolbarContainerProps) => import("core/definition/toolbar-definition.interface").IPageToolbarProps;
    static pageToolbarProps: (props: import("core/definition/toolbar-definition.interface").IPageToolbarProps) => import("core/definition/toolbar-definition.interface").IPageToolbarProps;
    static paginatedEntity: (entity: IGenericPaginatedEntity) => IGenericPaginatedEntity;
    static sectionNameWrapper: (wrapper: import("core/definitions.interface").ISectionNameWrapper) => import("core/definitions.interface").ISectionNameWrapper;
    static selectableHoveredEntity: (entity: IGenericSelectableHoveredEntity) => IGenericSelectableHoveredEntity;
}
